Bug 20322 - Anaconda error with raid5 / mount and raid0 swap
Anaconda error with raid5 / mount and raid0 swap
Status: CLOSED DUPLICATE of bug 17791
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-03 18:13 EST by arianw
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-07 10:17:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description arianw 2000-11-03 18:13:27 EST
System is a PIII 550, 196MB Ram, 16MB TNT Video, 3x 5.9GB IDE Drives.

Partitions:
hda hdb hdc      raid5   6000MB /
hdb hdc          raid0   396MB  SWAP
hdb              LX Nat  600MB  /Boot
hdc              LX Nat  600MB  /Root

Partition Sizes are aproximate only.
 
Traceback (innermost last):
 File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 
20, in run
  rc = self.todo.doInstall ()
 File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1470, in 
doInstall
  self.fstab.turnOnSwap()
 File "fstab.py", line 408, in turnOnSwap
  isys.swapon (file)
 File "isys.py", line 142, in swapon
  return_isys.swapon (path)
SystemError: (22, 'Invalid argument')
Comment 1 Michael Fulbright 2000-11-07 10:17:20 EST

*** This bug has been marked as a duplicate of 17791 ***
Comment 2 Tushar Bhargava 2001-04-09 14:02:29 EDT
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line 20, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + \
IndexError: list index out of range

Local variables in innermost frame:
fstab: <fstab.GuiFstab instance at 8444810>
mntPoint: /mnt/sysimage
selected: [ImageMagick, LPRng, MAKEDEV, Mesa, Mesa-devel, ORBit, ORBit-devel, 
SDL, SysVinit, WindowMaker, WindowMaker-libs, XFree86, XFree86-75dpi-fonts, 
XFree86-VGA16, XFree86-devel, XFree86-libs, XFree86-tools, XFree86-twm, XFree86-
xdm, XFree86-xfs, Xaw3d, Xaw3d-devel, Xconfigurator, anacron, apmd, arpwatch, 
ash, asp2php, asp2php-gtk, aspell, at, audiofile, audiofile-devel, aumix, 
authconfig, autoconf, automake, autorun, awesfx, basesystem, bash, bc, bdflush, 
bind-utils, binutils, bison, bug-buddy, byacc, bzip2, bzip2-devel, cdda2wav, 
cdecl, cdp, cdparanoia, cdrecord, chkconfig, chkfontpath, compat-egcs, compat-
egcs-c++, compat-glibc, compat-libstdc++, console-tools, control-center, 
control-center-devel, control-panel, cpio, cpp, cproto, cracklib, cracklib-
dicts, crontabs, ctags, cvs, cxhextris, cyrus-sasl, db1, db1-devel, db2, db3, 
db3-utils, desktop-backgrounds, dev, dev86, dhcpcd, dia, dialog, diffstat, 
diffutils, dip, docbook, dosfstools, dump, e2fsprogs, ed, ee, efax, eject, elm, 
emacs, emacs-X11, emacs-nox, enlightenment, esound, esound-devel, exmh, expect, 
extace, fetchmail, file, filesystem, fileutils, findutils, finger, flex, fnlib, 
fortune-mod, freeciv, freetype, ftp, fvwm2, fvwm2-icons, gawk, gcc, gcc-c++, 
gcc-g77, gcc-java, gcc-objc, gd, gd-devel, gdb, gdbm, gdbm-devel, gdk-pixbuf, 
gdk-pixbuf-devel, gdm, gedit, gettext, gftp, ghostscript, ghostscript-fonts, 
gimp, gimp-devel, gkermit, glade, glib, glib-devel, glibc, glibc-devel, gmc, 
gmp, gnome-applets, gnome-audio, gnome-audio-extra, gnome-core, gnome-core-
devel, gnome-games, gnome-games-devel, gnome-libs, gnome-libs-devel, gnome-
linuxconf, gnome-media, gnome-objc, gnome-objc-devel, gnome-pim, gnome-pim-
devel, gnome-print, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, 
gnuchess, gnumeric, gnupg, gphoto, gpm, gpm-devel, gqview, grep, groff, groff-
perl, gtk+, gtk+-devel, gtk-engines, gtop, guile, gv, gzip, hdparm, ical, 
imlib, imlib-cfgeditor, imlib-devel, indent, indexhtml, inews, info, 
initscripts, ipchains, iproute, iptables, iputils, isapnptools, isdn-config, 
isdn4k-utils, jadetex, kbdconfig, kdebase, kdebase-3d-screensavers, kdebase-
lowcolor-icons, kdegames, kdegraphics, kdelibs, kdelibs-devel, kdemultimedia, 
kdenetwork, kdesupport, kdesupport-devel, kdetoys, kdeutils, kdevelop, kernel, 
kernel-headers, kernel-pcmcia-cs, kernel-utils, kernelcfg, kgcc, kpilot, 
kpppload, krb5-devel, krb5-libs, kudzu, kudzu-devel, less, libPropList, libgcj, 
libgcj-devel, libghttp, libghttp-devel, libglade, libglade-devel, libgtop, 
libgtop-devel, libjpeg, libjpeg-devel, libpng, libpng-devel, librep, libstdc++, 
libstdc++-devel, libtermcap, libtermcap-devel, libtiff, libtiff-devel, libtool, 
libtool-libs, libungif, libungif-devel, libxml, libxml-devel, licq, lilo, 
links, linuxconf, linuxconf-devel, logrotate, losetup, lrzsz, lsof, ltrace, 
lynx, m4, magicdev, mailcap, mailx, make, man, man-pages, mc, memprof, 
metamail, mgetty, mgetty-sendfax, mgetty-viewfax, mgetty-voice, mikmod, 
mingetty, minicom, mkbootdisk, mkinitrd, mkisofs, mktemp, mkxauth, modemtool, 
modutils, mount, mouseconfig, mpage, mpg123, mtools, multimedia, mutt, mysql, 
mysql-server, ncftp, ncompress, ncurses, ncurses-devel, ncurses4, net-tools, 
netcfg, netpbm, netpbm-devel, netpbm-progs, netscape-common, netscape-
communicator, newt, newt-devel, nfs-utils, njamd, nmh, ntsysv, openjade, 
openldap, openssh, openssh-askpass, openssh-askpass-gnome, openssh-clients, 
openssl, openssl-devel, pam, passwd, patch, pciutils, pciutils-devel, perl, 
pidentd, pilot-link, pilot-link-devel, pine, playmidi, playmidi-X11, plugger, 
pmake, pnm2ppa, popt, portmap, postgresql, postgresql-jdbc, postgresql-odbc, 
postgresql-perl, postgresql-python, postgresql-server, postgresql-tcl, 
postgresql-tk, ppp, printtool, procmail, procps, psgml, psmisc, pspell, pump, 
pwdb, pygnome, pygnome-libglade, pygtk, pygtk-libglade, python, python-devel, 
python-xmlrpc, pythonlib, qt, qt-devel, qt1x, qt1x-GL, qt1x-devel, quota, 
raidtools, rcs, rdate, readline, readline-devel, redhat-logos, redhat-release, 
rep-gtk, rep-gtk-gnome, rep-gtk-libglade, rhn_register, rhn_register-gnome, rhs-
printfilters, rmt, rootfiles, rp-pppoe, rp3, rpm, rpm-build, rpm-devel, rpm-
python, rsh, rsync, rusers, rwho, rxvt, samba-client, samba-common, sane, sash, 
sawfish, sawfish-themer, screen, sed, sendmail, setserial, setup, setuptool, 
sgml-common, sgml-tools, sh-utils, shadow-utils, shapecfg, sharutils, slang, 
slang-devel, sliplogin, slocate, slrn, smpeg, sndconfig, sox, stat, statserial, 
strace, stunnel, stylesheets, switchdesk, switchdesk-gnome, switchdesk-kde, 
sysklogd, talk, tar, tcl, tclx, tcp_wrappers, tcsh, telnet, termcap, tetex, 
tetex-afm, tetex-dvilj, tetex-dvips, tetex-fonts, tetex-latex, tetex-xdvi, 
texinfo, textutils, time, timeconfig, timetool, tin, tix, tk, tkinter, tksysv, 
tmpwatch, traceroute, trn, trojka, umb-scheme, unzip, up2date, up2date-gnome, 
urlview, urw-fonts, usermode, utempter, util-linux, uucp, vim-common, vim-
minimal, vixie-cron, vnc, which, whois, wmakerconf, wmconfig, words, wvdial, 
xbill, xbl, xboard, xboing, xcdroast, xchat, xdaliclock, xgammon, xinitrc, 
xisdnload, xjewel, xloadimage, xlockmore, xmailbox, xmms, xmorph, xpaint, 
xpat2, xpdf, xpilot, xpuzzles, xrn, xsane, xscreensaver, xsri, xtrojka, xxgdb, 
yp-tools, ypbind, zip, zlib, zlib-devel]
self: <image.CdromInstallMethod instance at 8440ec0>
p: cxhextris
changeloop: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Note You need to log in before you can comment on or make changes to this bug.